#!/bin/sh
gailang=en

echo
if [ "$gailang" == "es" ]; then
    echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Administration tool Interface - GAI)"
    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
    echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTA."
    echo "Para mayor informacin vea los trminos de la licencia en LICENSE.txt"
    echo "Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita"
elif [ "$gailang" == "fr" ]; then
    echo "Interface du Bibliothcaire Greenstone (Greenstone Administration tool Interface - GAI)"
    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
    echo "GAI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt"
    echo "Ceci est un logiciel libre, et vous tes invit  le redistribuer"
elif [ "$gailang" == "ru" ]; then
    echo "  Greenstone (Greenstone Administration tool Interface - GAI)"
    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
    echo "     ;  .   LICENSE.TXT"
    echo " -         "
else
    echo "Greenstone Administration tool Interface (GAI)"
    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
    echo "GAI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
    echo "This is free software, and you are welcome to redistribute it"
fi

echo

##  -------- Run the Greenstone Administration Tool Interface --------

# This script must be run from within the directory in which it lives
thisdir=`pwd`
if [ ! -f "${thisdir}/gai.sh" ]; then
    if [ "$gailang" == "es" ]; then
        echo "Este guin deber ejecutarse desde el directorio en el que reside."
    elif [ "$gailang" == "fr" ]; then
	echo "Ce script doit tre excut  partir du rpertoire dans lequel il se trouve."
    elif [ "$gailang" == "ru" ]; then
	echo "      ,    "
    else
	echo "This script must be run from the directory in which it resides."
    fi
    exit 1
fi


##  ---- Determine GSDL3HOME ----
gsdl3path=

# Some users may set the above line manually
if [ "$gsdl3path" == "" ]; then
    # Check the environment variable first
    if [ "$GSDL3HOME" != "" ]; then
	gsdl3path=$GSDL3HOME

    # If it is not set, assume that the GAI is installed as a subdirectory of Greenstone
    else
	pushd .. > /dev/null
	gsdl3path=`pwd`
	popd > /dev/null
    fi
fi

# Setup Greenstone3, unless it has already been done
if [ "$GSDL3HOME" == "" ]; then
    pushd $gsdl3path > /dev/null
    source gs3-setup.sh
    popd > /dev/null
fi


## ---- Finally, run the GAI ----
##echo
##if [ "$gailang" == "es" ]; then
##    echo "Ejecutando la Interfaz de la Biblioteca Digital Greenstone..."
##elif [ "$gailang" == "fr" ]; then
##    echo "Excution de Greenstone Librarian Interface"
##elif [ "$gailang" == "ru" ]; then
##    echo "   Greenstone..."
##else
##    echo "Running the Greenstone Librarian Interface..."
##fi

# Other arguments you can provide to GLI to work around memory limitations, or debug
# -Xms<number>M    To set minimum memory (by default 32MB)
# -Xmx<number>M    To set maximum memory (by default the nearest 2^n to the total remaining physical memory)
# -verbose:gc      To set garbage collection messages
# -Xincgc          For incremental garbage collection (significantly slows performance)
# -Xprof           Function call profiling
# -Xloggc:<file>   Write garbage collection log

# $javapath -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar org.greenstone.gatherer.GathererProg -gsdl $GSDLHOME -wget $wgetpath $*

java -cp $CLASSPATH org.greenstone.admin.GAI $GSDL3HOME
